Subject: bug#54111: closed (Re: bug#54111: guile bundles (a compiled version of) UnicodeData.txt and binaries)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Mar 2022 13:34:03 +0000

Your bug report

#54111: guile bundles (a compiled version of) UnicodeData.txt and binaries

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54111: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54111
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54111: guile bundles (a compiled version of) UnicodeData.txt and binaries
From: Ludovic Courtès <[email-masked]>
To: Timothy Sample <[email-masked]>
Cc: Maxime Devos <[email-masked]>, [email-masked]
Date: Thu, 24 Mar 2022 14:33:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Timothy Sample <[email-masked]> skribis:

> I’ve attached two patches, the second of which is gzipped (the
> UnicodeData.txt file is nearly 2M).
>
> The first patch replaces the Perl script with the Awk script.  The Awk
> script produces an identical ‘srfi-14.i.c’, except for changing “.pl” to
> “.awk” in a comment.
>
> The second patch removes ‘srfi-14.i.c’, adds ‘UnicodeData.txt’, and
> teaches the build machinery how to generate the former from the latter.
> I did my best with the Makefile, but I’m still a noob when it comes to
> Automake conventions.  This is the part that warrants the most review!
> Finally, I added support for comments to the Awk script so that I could
> put the Unicode license text in the data file itself.  This is probably
> the simplest way to dispatch our legal obligations to Unicode, Inc. (and
> follow the guidelines of the FSF).  For all the details, see
> <https://www.unicode.org/copyright.html> and
> <https://www.gnu.org/licenses/license-list.html#Unicode>.

This all looks good to me.

Pushed in Guile as commit 9f8e05e513399985021643c34217f45d65c66392,
thank you!

Ludo’.

Subject: guile bundles (a compiled version of) UnicodeData.txt and binaries
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Tue, 22 Feb 2022 17:42:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix,

Looking at <https://git.savannah.gnu.org/cgit/guile.git/commit/?id=2f9bc7fe61d39658a24a15526b7b88bbd184961b>,
I noticed that Guile bundles a binary variant of UnicodeData.txt in
srfi-14.i.c.  Seems like it should be compiled with
the 'unidate_to_charset.pl' script instead (assuming that there are no
bootstrapping concerns).

Greetings,
Maxime.